Subject: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Robert Pluim <[email-masked]>
Date: Mon, 03 Jun 2019 11:11:53 +0200

>>>>> On Thu, 30 May 2019 18:44:43 -0700, Aaron Jensen <[email-masked]> said:

    Aaron> I am also using ghub and have the same symptoms described in
    Aaron> https://github.com/magit/ghub/issues/81

    Aaron> I cannot reproduce with the repro in
    Aaron> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34341#19

    Aaron> So, I'm afraid I don't have a simple repro. I have libgnutls version
    Aaron> 30607 and macOS Mojave 10.14.5

    Aaron> Disabling TLS 1.3 via (setq ghub-use-workaround-for-emacs-bug 'force)
    Aaron> works around the issue for me, so it does appear to be a very
    Aaron> similar/same issue, but the fix applied does not fix it for macOS.

I have the same versions of libgnutls and macOS, and I donʼt see
this (but I donʼt use ghub). Can you try (from emacs -Q)

M-x eww RET www.gmail.com

That fails for me with e87e6a24c49542111e669b7d0f1a412024663f8e
reverted, and works with the latest emacs master.

Robert